using System;
using System.IO;
using System.Collections.Generic;
using SautinSoft;

namespace Sample
{
    class Program
    {
        static void Main(string[] args)
        {
            // Decode JB2 file to multipage-Tiff file
            string jb2File = Path.GetFullPath(Environment.CurrentDirectory + @"..\..\..\..\..\..\Testing Files\13.jb2");
            byte[] jb2Data = File.ReadAllBytes(jb2File);

            SautinSoft.JBIG2 jbDecoder = new SautinSoft.JBIG2();

            // First element of the list will store all pages as single Multipage-Tiff
            List<byte[]> TiffData = jbDecoder.DecodeToImages(jb2Data, false, JBIG2.OutputImageFormat.MultipageTiff);

            string TiffFile = String.Format(@"{0}\Result.tiff", Path.GetDirectoryName(jb2File));
            File.WriteAllBytes(TiffFile, TiffData[0]);
            System.Diagnostics.Process.Start(TiffFile);

        }
    }
}
